Bug 101010 - redhat-config-network should use /usr/bin/python
Summary: redhat-config-network should use /usr/bin/python
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-28 15:06 UTC by jmccann
Modified: 2015-01-14 23:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-05 08:10:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jmccann 2003-07-28 15:06:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
redhat-config-network executes #! /usr/bin/env python.

The redhat-config tools have a very specific set of requirements that are only
satisfied by the official RH install of python (/usr/bin/python).

The redhat-config tools break if the user has another python ahead of
/usr/bin/python in their path.  This is something that we do a lot here in
academia.  We need to custom build python for data analysis, etc.

The redhat-config-* tools should use #!/usr/bin/python explicitly.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. /usr/bin/redhat-control-network

    

Actual Results:  Can't find required libraries, and when it can it can't find
required symbols.

Expected Results:  Just works.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.